package EFS::DBI::Result;

use strict;
use warnings;
use English;

use base q{EFS::DBI}; # DBIx::Class::Schema
use base q{DBIx::Class};

use Scalar::Util qw/blessed/;

use overload q{""} => sub {
    my $self = shift;
    if ( blessed $self && $self->can(q{object_id}) ) {
        return $self->object_id;
    } else {
        return $self;
    }
}, fallback => 1;

sub object_id {
    my $self = shift;
    if ( blessed $self && $self->can(q{name}) ) {
        return $self->name;
    } else {
        return $self;
    }
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
