package EFS::DBI::Result::CabinetAttrs;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{cabinet_attrs} );

__PACKAGE__->add_columns( qw( cabinet name value ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{cabinet_attrs_seq} );

__PACKAGE__->belongs_to( cabinet => q{EFS::DBI::Result::Cabinet} );

sub display_columns {
    return qw(location cabinet name value);
}

sub location {
    return shift->cabinet->location;
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
