package EFS::DBI::ResultSet::Home;

use strict;
use warnings;
use English;

use base q{EFS::DBI::ResultSet};

use EFS::FQDN qw(fqdn);

use Params::Validate qw( :all );

sub validate_data {

    my $class = shift;
    my %data  = @_;

    if ( not exists $data{home} ) {
        return 1;
    }

    if ( length($data{home}) > 8 ) {
        die(
            qq{Invalid home name '$data{home}'\n},
            qq{Must be =< 8 characters\n},
        );
    }

    return;

}

sub retrieve_bynames_assert {

    my $self = shift;

    my (%args) = validate( @_, {
        name => { type => SCALAR },
    });

    my ($home) = $self->search({ name => $args{name} });

    if ( not $home ) {
        die qq{No such home '$args{name}'\n};
    }

    return $home;

}

sub retrieve_bynames {

    my $self = shift;

    my (%args) = validate( @_, {
        name => { type => SCALAR },
    });

    my ($home) = $self->search({ name => $args{name} });

    return $home;

}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
